Bug 1003106 - liveinst takes about 30 seconds to start running
liveinst takes about 30 seconds to start running
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-30 15:34 EDT by Richard W.M. Jones
Modified: 2014-02-21 15:13 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1011332 (view as bug list)
Environment:
Last Closed: 2014-02-21 15:13:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot showing "Error retrieving accessibility bus address: ..." after running liveinst (128.46 KB, image/png)
2013-08-31 05:58 EDT, Steve Tyler
no flags Details

  None (edit)
Description Richard W.M. Jones 2013-08-30 15:34:19 EDT
Description of problem:

The "install to hard disk" / liveinst program doesn't do anything
at all.  It appears to hang.

I ran it by hand and there is no message at all.

I ran 'zenity' by hand, and it is able to open windows.

I also ran 'anaconda --liveinst --method=livecd:/dev/mapper/live-osimg-min'
by hand and that ran fine (although hitting another bug in Anaconda later).

Version-Release number of selected component (if applicable):

Fedora-20-Nightly-x86_64-Live-xfce-20130828.08-1.iso

How reproducible:

Unknown.

Steps to Reproduce:
1. Start live CD.
2. Click "install to hard disk" icon on desktop.
3. Or run 'liveinst' program (either /usr/bin or /usr/sbin, also
   tried running it as root so no userhelper was involved).

Actual results:

Hangs, no messages.
Comment 1 Steve Tyler 2013-08-31 04:08:30 EDT
In a test, it takes about 33 seconds from starting the liveinst command in a terminal to the Welcome dialog being displayed.

How long did you wait?
How are you running the ISO image?

Tested with:
$ qemu-kvm -m 4096 -hda f20-test-3.img -cdrom ~/xfr/fedora/nightly-composes/Fedora-20-Nightly-x86_64-Live-xfce-20130828.08-1.iso -vga std -boot menu=on
Comment 2 Richard W.M. Jones 2013-08-31 05:37:49 EDT
I've deleted this ISO image so I can't test it further.  However ..

I can't be absolutely sure I waited for 33 seconds, but I
did wait for what I perceived to be a long time.  Note that
when running anaconda directly, it comes straight up.  Why
does the script take so long anyway?
Comment 3 Steve Tyler 2013-08-31 05:58:20 EDT
Created attachment 792399 [details]
screenshot showing "Error retrieving accessibility bus address: ..." after running liveinst

Tested with:
$ qemu-kvm -m 4096 -hda f20-test-3.img -cdrom ~/xfr/fedora/nightly-composes/Fedora-20-Nightly-x86_64-Live-xfce-20130828.08-1.iso -vga std -boot menu=on
Comment 4 Richard W.M. Jones 2013-08-31 06:01:21 EDT
I didn't see liveinst print any messages at all, but presumably
the dbus error only occurs after waiting 33+ seconds?
Comment 5 Steve Tyler 2013-08-31 06:06:53 EDT
The error messages are displayed after about 28 seconds:

[liveuser@localhost ~]$ liveinst
localuser:root being added to access control list
Starting installer, one moment...
anaconda 20.9-1 for Fedora 20 (pre-release) started.

** (anaconda:1559): WARNING **: Error retrieving accessibility bus address: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
error: XDG_RUNTIME_DIR not set in the environment.
[liveuser@localhost ~]$ 

==
Tested with:
$ qemu-kvm -m 4096 -hda f20-test-3.img -cdrom ~/xfr/fedora/nightly-composes/Fedora-20-Nightly-x86_64-Live-xfce-20130828.08-1.iso -vga std -boot menu=on
Comment 6 Steve Tyler 2013-08-31 06:16:47 EDT
(In reply to Steve Tyler from comment #5)
...
> error: XDG_RUNTIME_DIR not set in the environment.
...

Bug 1000927, Comment 4 reports the same error message on tty1:
Bug 1000927 - 20 Alpha TC1 i386 install image (netinst or DVD) freezes in the first step
Comment 7 Steve Tyler 2013-08-31 06:32:43 EDT
With the F20-Alpha-TC2 Live image, there is also a ~28 second delay before the same error messages are displayed.

Tested with:
$ qemu-kvm -m 4096 -hda f20-test-3.img -cdrom ~/xfr/fedora/F20/Alpha/Fedora-Live-Desktop-x86_64-20-Alpha-TC2-1.iso -vga std -boot menu=on
Comment 8 David Shea 2013-09-03 15:45:00 EDT
The accessibility bus message indicates a problem communicating with dbus and at-spi-bus-launcher, and would indicate a problem in creating the xfce image. The message is non-fatal. The XDG_RUNTIME_DIR warning is also non-fatal. Anyway, I'm having no problem running liveinst from this particular live image. If the problem persists, attach log this bug.
Comment 9 Steve Tyler 2013-09-05 02:52:17 EDT
The installer is taking ~33 seconds to start with F20-Alpha-TC3 Live Desktop, so the "problem in creating the xfce image" theory is wrong.

Richard: If you can confirm the long startup time, I suggest reopening with a bug summary saying something like:

"installer takes ~33 seconds to start on Live image"

The error message reported in Comment 5 clearly says that there is a timeout occurring, so I don't understand why this bug was closed anyway. If anything, it should have been reassigned.

Tested with:
$ qemu-kvm -m 4096 -hda f20-test-3.img -cdrom ~/xfr/fedora/F20/Alpha/Fedora-Live-Desktop-x86_64-20-Alpha-TC3-1.iso -vga std -boot menu=on
Comment 10 Richard W.M. Jones 2013-09-05 05:08:12 EDT
Reopening per previous comment.
Comment 11 pka 2013-12-01 15:11:09 EST
When i use the "install to hard disk" nothing happens at all. Even after ~30 seconds, I get no response after the mouse spins and no error message. Any suggestions how to get this to work? Is there any preparation of disk needed?
Comment 12 David Shea 2014-02-21 15:13:37 EST
Just tried with F20 release and it works fine. Spinner is displayed for < 10 seconds and then the installer comes up.

Note You need to log in before you can comment on or make changes to this bug.